cURL
curl --request GET \
--url https://realtime.nocodemapapp.com/v0/map/{mapId}/location/{locationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://realtime.nocodemapapp.com/v0/map/{mapId}/location/{locationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://realtime.nocodemapapp.com/v0/map/{mapId}/location/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "The Kooks Restaurant",
"id": "04P1DY1YbwePX2rjKo3H",
"placeId": "ChIJ6_ktdpMVvEgRJBv3ZEgxsD8",
"latLngLiteral": {
"lat": "61.89263500000001",
"lng": "-6.911805999999999"
},
"properties": {
"Restaurant": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
}
}
]{
"error": 123,
"message": "<string>"
}Map Location API
Get a Map Location
Retrieve a location in a specific map
GET
/
v0
/
map
/
{mapId}
/
location
/
{locationId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the map to retrieve
ID of the map location to retrieve
Response
Location response
The name of Location
Example:
"The Kooks Restaurant"
The ID of Location
Example:
"04P1DY1YbwePX2rjKo3H"
The placeId resolved (via geocoding) for this location
Example:
"ChIJ6_ktdpMVvEgRJBv3ZEgxsD8"
Show child attributes
Show child attributes
This object contains all the data fields that were passed in for this location at import/creation
Example:
{ "Restaurant": "The Kooks Restaurant", "Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands", "key": "The Kooks Restaurant" }
⌘I
